Red Hat 8831 Published by

A Red Hat OpenStack Platform 17.0 (python-werkzeug) security update has been released.



RHSA-2023:1018-01: Important: Red Hat OpenStack Platform 17.0 (python-werkzeug) security update



=====================================================================
Red Hat Security Advisory

Synopsis: Important: Red Hat OpenStack Platform 17.0 (python-werkzeug) security update
Advisory ID: RHSA-2023:1018-01
Product: Red Hat OpenStack Platform
Advisory URL:   https://access.redhat.com/errata/RHSA-2023:1018
Issue date: 2023-02-28
CVE Names: CVE-2023-25577
=====================================================================

1. Summary:

An update for python-werkzeug is now available for Red Hat OpenStack
Platform 17.0 (Wallaby).

Red Hat Product Security has rated this update as having a security impact
of Important. A Common Vulnerability Scoring System (CVSS) base score,
which gives a detailed severity rating, is available for each vulnerability
from the CVE link(s) in the References section.

2. Relevant releases/architectures:

Red Hat OpenStack Platform 17.0 - noarch

3. Description:

Werkzeug ======== Werkzeug started as simple collection of various
utilities for WSGI applications and has become one of the most advanced
WSGI utility modules. It includes a powerful debugger, full featured
request and response objects, HTTP utilities to handle entity tags, cache
control headers, HTTP dates, cookie handling, file uploads, a powerful URL
routing system and a bunch of community contributed addon modules. Werkzeug
is unicode aware and doesn't enforce a specific template engine, database
adapter or anything else. It doesn't even enforce a specific way of
handling requests and leaves all that up to the developer. It's most useful
for end user applications which should work on as many server environments
as possible (such as blogs, wikis, bulletin boards, etc.).

Security Fix(es):

* high resource usage when parsing multipart form data with many fields
(CVE-2023-25577)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE
page listed in the References section.

4. Solution:

For details on how to apply this update, which includes the changes
described in this advisory, refer to:

  https://access.redhat.com/articles/11258

5. Bugs fixed (  https://bugzilla.redhat.com/):

2170242 - CVE-2023-25577 python-werkzeug: high resource usage when parsing multipart form data with many fields

6. Package List:

Red Hat OpenStack Platform 17.0:

Source:
python-werkzeug-2.0.1-5.el9ost.src.rpm

noarch:
python3-werkzeug-2.0.1-5.el9ost.noarch.rpm

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from
  https://access.redhat.com/security/team/key/

7. References:

  https://access.redhat.com/security/cve/CVE-2023-25577
  https://access.redhat.com/security/updates/classification/#important

8. Contact:

The Red Hat security contact is . More contact
details at   https://access.redhat.com/security/team/contact/

Copyright 2023 Red Hat, Inc.